diff mbox

[rdma-core,1/2] travis: Simplify travis config

Message ID 20170129143559.7654-2-leon@kernel.org (mailing list archive)
State Superseded
Headers show

Commit Message

Leon Romanovsky Jan. 29, 2017, 2:35 p.m. UTC
Move travis build instructions into separate file.

Signed-off-by: Leon Romanovsky <leon@kernel.org>
---
 .travis.yml           | 25 +------------------------
 buildlib/travis-build | 29 +++++++++++++++++++++++++++++
 2 files changed, 30 insertions(+), 24 deletions(-)
 create mode 100755 buildlib/travis-build
diff mbox

Patch

diff --git a/.travis.yml b/.travis.yml
index 06443530..c4fa1985 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -36,27 +36,4 @@  addons:
       - lib32gcc-6-dev
 
 script:
-  - mkdir build build-clang build32 build-no-dma
-  - cd build
-  # The goal is warning free compile on latest gcc.
-  - CC=gcc-6 CFLAGS=-Werror cmake -GNinja ..
-  - ninja
-
-  # .. and latest clang
-  - cd ../build-clang
-  - CC=clang-3.9 CFLAGS=-Werror cmake -GNinja ..
-  - ninja
-
-  # 32 bit build
-  - cd ../build32
-  # travis's trusty is not configured in a way that enables all 32 bit
-  # packages. We could fix this with some sudo stuff.. For now turn off libnl
-  - CC=gcc-6 CFLAGS="-Werror -m32" cmake -GNinja .. -DENABLE_RESOLVE_NEIGH=0
-  - ninja
-
-  # Test with coherent DMA mode disabled (ie as would be on ARM32, etc)
-  - cd ../build-clang
-  - echo "#error Fail" >> ../libibverbs/arch.h
-  - rm CMakeCache.txt
-  - CC=clang-3.9 CFLAGS=-Werror cmake -GNinja ..
-  - ninja
+  - buildlib/travis-build
diff --git a/buildlib/travis-build b/buildlib/travis-build
new file mode 100755
index 00000000..bf0143b9
--- /dev/null
+++ b/buildlib/travis-build
@@ -0,0 +1,29 @@ 
+#!/bin/bash
+
+set -e
+
+mkdir build build-clang build32 build-no-dma
+cd build
+# The goal is warning free compile on latest gcc.
+CC=gcc-6 CFLAGS=-Werror cmake -GNinja ..
+ninja
+
+# .. and latest clang
+cd ../build-clang
+CC=clang-3.9 CFLAGS=-Werror cmake -GNinja ..
+ninja
+
+# 32 bit build
+cd ../build32
+# travis's trusty is not configured in a way that enables all 32 bit
+# packages. We could fix this with some sudo stuff.. For now turn off libnl
+CC=gcc-6 CFLAGS="-Werror -m32" cmake -GNinja .. -DENABLE_RESOLVE_NEIGH=0
+ninja
+
+# Test with coherent DMA mode disabled (ie as would be on ARM32, etc)
+cd ../build-clang
+echo "#error Fail" >> ../libibverbs/arch.h
+rm CMakeCache.txt
+CC=clang-3.9 CFLAGS=-Werror cmake -GNinja ..
+ninja
+cd ..